import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

final affirmative = const ['y', 'yes', 'yup'];

class Prompter {
  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();

    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);
    
    return _terminal.collectInput();
  }

  bool askBinary(String prompt) {
    var input = _ask('$prompt (y/n)', []);

    return affirmative.contains(input.toLowerCase());
  }
  
  askMCQ(String prompt, List<Option> options) {
    var input = _ask(prompt, options);
    
    try {
      var index = int.parse(input) - 1;
      return options[index].value;
    } catch (e) {
      return askMCQ(prompt, options);
    }
    
  }
}